Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class TileEntityRecordPlayer

    java.lang.Object
      net.minecraft.src.TileEntity
          net.minecraft.src.TileEntityRecordPlayer

    public class TileEntityRecordPlayer

extends TileEntity

Field Summary
`int` | `record` ID of record which is in Jukebox

Fields inherited from class net.minecraft.src.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityRecordPlayer()`

Method Summary
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.src.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getRenderDistance, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### record

    public int record

  ID of record which is in Jukebox

Constructor Detail

### TileEntityRecordPlayer

    public TileEntityRecordPlayer()

Method Detail

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD